Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Immutable

    java.lang.Object
      org.jivesoftware.util.Immutable

    public class Immutable

extends Object

Nested Class Summary
`static class` | `Immutable.Collection<V>` Wraps an existing `Immutable.Collection` to provide read-only access to its contents.
`static class` | `Immutable.Iterator<V>` Read-only `Immutable.Iterator` prevents removal of objects
`static class` | `Immutable.Map<K,V>` Wraps a `Immutable.Map` to provide read-only access to its elements.

Constructor Summary
`Immutable()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Immutable

    public Immutable()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.